#include <bits/stdc++.h>

using namespace std;

int main(){
    int n,q;
    cin>>n>>q;
    long long a[200010];
    long long x;
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    sort(a,a+n);
    for(int i=0;i<q;i++){
        cin>>x;
        int l,r;
        int smallidx=-1,bigidx=n;
        l=0;
        r=n-1;
        while(l<=r){
            int mid=(l+r)/2;
            if(a[mid]<x){
                smallidx=mid;
                l=mid+1;
            }
            else{
                r=mid-1;
            }
        }
        l=0;
        r=n-1;
        while(l<=r){
            int mid=(l+r)/2;
            if(a[mid]>x){
                bigidx=mid;
                r=mid-1;
            }
            else{
                l=mid+1;
            }
        }
        if(a[n/2]==x){
            cout<<0;
        }
        else if(smallidx>=n/2){
            cout<<2*(smalldix+1)-n;
        }
        else if(bigidx<=n/2){
            cout<<2*(n-bigidx)-n;
        }
        cout<<endl;
    }
    return 0;
}